# FoundationClasses
TKernel
Message

# Message_Printer Class Reference

Abstract interface class defining printer as output context for
text messages
The message, besides being text string, has associated gravity
level, which can be used by printer to decide either to process
a message or ignore it.
.

`#include <Message_Printer.hxx>`

Inheritance diagram for Message_Printer:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Send (const TCollection_ExtendedString &theString, const Message_Gravity theGravity, const Standard_Boolean putEndl) const =0
| Send a string message with specified trace level. The parameter putEndl specified whether end-of-line should be added to the end of the message. This method must be redefined in descentant. .
virtual Standard_EXPORT void | Send (const Standard_CString theString, const Message_Gravity theGravity, const Standard_Boolean putEndl) const
| Send a string message with specified trace level. The parameter putEndl specified whether end-of-line should be added to the end of the message. Default implementation calls first method Send(). .
virtual Standard_EXPORT void | Send (const TCollection_AsciiString &theString, const Message_Gravity theGravity, const Standard_Boolean putEndl) const
| Send a string message with specified trace level. The parameter putEndl specified whether end-of-line should be added to the end of the message. Default implementation calls first method Send(). .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT const Message_Printer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared. Reimplemented in Message_PrinterOStream.

virtual Standard_EXPORT void Message_Printer::Send | ( | const TCollection_AsciiString & | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl
| ) | const`[virtual]`

| Reimplemented in Message_PrinterOStream.

virtual Standard_EXPORT void Message_Printer::Send | ( | const Standard_CString | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl
| ) | const`[virtual]`

| Reimplemented in Message_PrinterOStream.

virtual Standard_EXPORT void Message_Printer::Send | ( | const TCollection_ExtendedString & | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl
| ) | const`[pure virtual]`

| Implemented in Message_PrinterOStream.

The documentation for this class was generated from the following file:

- Message_Printer.hxx